# Model components & justifications

**Aim: We want to be able to model how key eco-schemes and AECM affect
	crop yields, biodiversity, and ESS at a mechanistic level.**

## Farm model

*Lea's model*

- ...

- **Management actions:** Influence habitat availability and mortality of
  plants and animals in the landscape (e.g. through tillage, pesticide or
  fertiliser application). Timing is important as it interacts with species'
  phenologies.

## Nature model

*Daniel's model*

- **Weather:** Temperature and precipitation in the course of a year are two 
  of the most important predictors of crop yield, as well as influencing the
  timing of management actions such as sowing or harvest.

- **Soil:** Water and nutrient content of soil determines rates of plant growth.
  Soil organic matter is important for overall soil health, as well as providing
  regulatory ESS via carbon sequestration. All three soil properties are modified
  by management actions, especially tillage.
	  -> *I would like to leave this out as it seems rather complicated, but
		I do think fertiliser application is important and I don't know how to
		include that without also including soil nutrients?*

- **Plants:** Wild plants provide habitat for insects and animals. Crop plants
  provide income for farmers. Modelling plant growth allows us to implement
  realistic rules for when and why farm actors carry out management actions (e.g.
  fertiliser application, grass cutting). Also, plant phenology influences habitat
  and food availability for insects and vertebrates.

- **Insects:** Insects provide important ecosystem services and disservices, as
  pollinators, pests, and pest control. The abundance of crop-specific pests in
  a field is used by farmers to gauge the necessity of pesticide application,
  thus their population dynamics influence management actions. Additionally,
  insects are important food sources for many vertebrates and therefore relevant
  to the animal components.

- **Animals:**
  - *Alauda arvensis*: ground-nesting, insectivorous & granivorous
  - *Emberiza citrinella*: hedge-nesting, insectivorous & granivorous
  - *Milvus milvus*: raptor (?)
  - *Cricetus cricetus*: ground-dwelling, herbivorous & insectivorous
  - *Maniola jurtina*: low-intensive grassland
  - ...


